# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tishlang_lint"
version = "2.2.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "AST-based linter for Tish"
readme = false
license-file = "LICENSE"
repository = "https://github.com/tishlang/tish"

[lib]
name = "tishlang_lint"
path = "src/lib.rs"

[[bin]]
name = "tish-lint"
path = "src/bin/tish-lint.rs"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tishlang_ast]
version = ">=0.1"

[dependencies.tishlang_parser]
version = ">=0.1"

[dependencies.walkdir]
version = "2"
